/v2/api/entity base and authenticated with a Bearer token.1) is the data level — how deeply related records are loaded — not a page or format flag.data envelope). It also embeds the attachments array and related records: the applicant staff (staff_leave_application), the leave type (leave_application_type), the creator staff (leave_application_creator), the approver staff (leave_application_approver), the linked attendance permission (leave_application_attendance_permission), and the approval-cycle configuration (approval_cycle_configuration). Related records are null when not applicable.error happened rather than a 404.curl --location --globoff 'https://.daftara.com/v2/api/entity/leave_application//1' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'{
"id": 0,
"staff_id": 0,
"type": "string",
"leave_type_id": 0,
"date_from": "string",
"date_to": "string",
"days": 0,
"late_time": 0,
"early_time": 0,
"status": "string",
"description": "string",
"comment": "string",
"approved_by": 0,
"created_by": 0,
"attendance_permission_id": 0,
"shift_type": "string",
"approval_data": {},
"approval_cycle_configuration_id": 0,
"created": "string",
"modified": "string",
"attachments": [
{
"id": 0,
"entity_key": "leave_application",
"entity_id": 0,
"file_id": 0,
"deleted_at": "string",
"created": "string"
}
],
"staff_leave_application": {},
"leave_application_type": {},
"leave_application_creator": {},
"leave_application_approver": {},
"leave_application_attendance_permission": {},
"approval_cycle_configuration": {}
}